Skip to content

Priority of a ticket in managed tenant.

POST
/api/web/namespaces/system/managed_client/customer_supports/{tp_id}/priority
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/managed_client/customer_supports/example/priority \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "priority": "PRIORITY_UNKNOWN", "tp_id": "example" }'

Priority of a selected ticket. Not possible if ticket’s already closed.

Examples of this operation.

tp_id
required
string

Third party ID ID assigned to this ticket by our support provider.

Media typeapplication/json
PriorityRequest

Priority of an existing customer support ticket.

object
priority
string
default: PRIORITY_UNKNOWN
Allowed values: PRIORITY_UNKNOWN PRIORITY_NORMAL PRIORITY_HIGH PRIORITY_URGENT
tp_id
Third party ID

ID assigned to this ticket by our support provider.

string
<= 1024 characters

A successful response.

Media typeapplication/json
Change priority response

Gives details of result of changing priority a customer support ticket.

object
err
string
default: EUNKNOWN
Allowed values: EUNKNOWN EOK E_NOT_CLOSED E_NOT_OPEN E_NOT_ELIGIBLE E_NOT_NOT_FOUND
Example
{
"err": "EUNKNOWN"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example